package com.cool.bang.modules.mysql.domain;

import java.math.BigDecimal;

/**
 * 监管资金转托管入账通知书
 *
 * @author PeiZhi Guo
 * 2023-2-7 17:08
 */
public class SuperviseToPosting extends SuperviseToNotice {

    /** 入账金额 */
    private BigDecimal postingAmount;

    /** 入账状态 0待入账 1已入账 */
    private Integer postingStatus;

    public void initNotice(SuperviseTo param) {
        super.initNotice(param);
        this.postingAmount = param.getTransferAmount();
        this.postingStatus = 0;
    }

    public BigDecimal getPostingAmount() {
        return postingAmount;
    }

    public void setPostingAmount(BigDecimal postingAmount) {
        this.postingAmount = postingAmount;
    }

    public Integer getPostingStatus() {
        return postingStatus;
    }

    public void setPostingStatus(Integer postingStatus) {
        this.postingStatus = postingStatus;
    }
}
