package com.cool.bang.modules.oracle.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 交易信息
 * @author suo
 * 
 */
public class Trade {

	private Integer id;// id

	private String bankcode;// 银行编号//操作银行编码

	private String branchcode;// 支行编号

	private String bankser;// 银行记账流水号

	private String tradeser;// 监管系统流水号

	// 交易代码 [1002]交款记账 [1003]不明入账 [1004]不明入账补录 [1005]定金交款 1006 定金挂接 [1007]利息交款
	// [2002]退款记账 [2202]定金退款记账 [2102]划款记账 [2302]手续费记账 [2402]法院强制划拨记账
	private String tradecode;

	private String tradenum;// 通知书编号
	
	private String djnum;// 定金编号

	private BigDecimal tradeamount;// 交款金额 //划款接

	private String regbankcode;// 监管银行编号

	private String accountno;// 监管专户账号

	private String paymode;// 结算类型 //01_现金; 02_支票; 03_转账 ;04_银联POS

	private String paytype;// 资金类型 01 合同交款 , 02 重点划款 03 一般划款 04 合同退款 05 利息 06
							// 手续费 07 法院划拨 08 其他收入  09 定金交款 10 定金退款

	private String tellerno;// 银行柜员号

	private String bankflag;// 发起方 1 银行 2 银联POS

	private String zhipiao;// 支票号码

	private Integer aregid;//

	private String lzbh;// 楼幢编号

	private Date tradedate;// 交易日期

	private Date checkdate; // 对账时间

	private String checkflag;// 对账状态0 不再对账 1:待对账; 2:自动对账成功；

	private Integer checkid;// 对账ID

	private String tradestate;// 是否有效 // 是否正反交易 有效1 无效 0

	private Date undodate; // 红冲时间

	private String oldbankser;// 原银行记账流水号

	private String oldtradeser;// 原监管系统流水号

	private String remark; //

	private String zjjgflag; // //资金监管标记 0 历史监管 1 当前监管

	private String bmflag;// 是否不明入账
	
	private String zztype;//

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getCheckid() {
		return checkid;
	}

	public void setCheckid(Integer checkid) {
		this.checkid = checkid;
	}

	public String getPaytype() {
		return paytype;
	}

	public void setPaytype(String paytype) {
		this.paytype = paytype;
	}

	public String getBankcode() {
		return bankcode;
	}

	public void setBankcode(String bankcode) {
		this.bankcode = bankcode;
	}

	public String getBranchcode() {
		return branchcode;
	}

	public void setBranchcode(String branchcode) {
		this.branchcode = branchcode;
	}

	public String getBankser() {
		return bankser;
	}

	public void setBankser(String bankser) {
		this.bankser = bankser;
	}

	public String getTradeser() {
		return tradeser;
	}

	public void setTradeser(String tradeser) {
		this.tradeser = tradeser;
	}

	public String getTradecode() {
		return tradecode;
	}

	public void setTradecode(String tradecode) {
		this.tradecode = tradecode;
	}

	public String getTradenum() {
		return tradenum;
	}

	public void setTradenum(String tradenum) {
		this.tradenum = tradenum;
	}

	public BigDecimal getTradeamount() {
		if (tradeamount == null)
			tradeamount = BigDecimal.ZERO;
		return tradeamount;
	}

	public void setTradeamount(BigDecimal tradeamount) {
		this.tradeamount = tradeamount;
	}

	public String getRegbankcode() {
		return regbankcode;
	}

	public void setRegbankcode(String regbankcode) {
		this.regbankcode = regbankcode;
	}

	public String getAccountno() {
		return accountno;
	}

	public void setAccountno(String accountno) {
		this.accountno = accountno;
	}

	public String getPaymode() {
		return paymode;
	}

	public void setPaymode(String paymode) {
		this.paymode = paymode;
	}

	public String getTellerno() {
		return tellerno;
	}

	public void setTellerno(String tellerno) {
		this.tellerno = tellerno;
	}

	public String getBankflag() {
		return bankflag;
	}

	public void setBankflag(String bankflag) {
		this.bankflag = bankflag;
	}

	public String getZhipiao() {
		return zhipiao;
	}

	public void setZhipiao(String zhipiao) {
		this.zhipiao = zhipiao;
	}

	public Integer getAregid() {
		return aregid;
	}

	public void setAregid(Integer aregid) {
		this.aregid = aregid;
	}

	public String getLzbh() {
		return lzbh;
	}

	public void setLzbh(String lzbh) {
		this.lzbh = lzbh;
	}

	public Date getTradedate() {
		return tradedate;
	}

	public void setTradedate(Date tradedate) {
		this.tradedate = tradedate;
	}

	public Date getCheckdate() {
		return checkdate;
	}

	public void setCheckdate(Date checkdate) {
		this.checkdate = checkdate;
	}

	public String getCheckflag() {
		return checkflag;
	}

	public void setCheckflag(String checkflag) {
		this.checkflag = checkflag;
	}

	public String getTradestate() {
		return tradestate;
	}

	public void setTradestate(String tradestate) {
		this.tradestate = tradestate;
	}

	public Date getUndodate() {
		return undodate;
	}

	public void setUndodate(Date undodate) {
		this.undodate = undodate;
	}

	public String getOldbankser() {
		return oldbankser;
	}

	public void setOldbankser(String oldbankser) {
		this.oldbankser = oldbankser;
	}

	public String getOldtradeser() {
		return oldtradeser;
	}

	public void setOldtradeser(String oldtradeser) {
		this.oldtradeser = oldtradeser;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getZjjgflag() {
		return zjjgflag;
	}

	public void setZjjgflag(String zjjgflag) {
		this.zjjgflag = zjjgflag;
	}

	public String getBmflag() {
		return bmflag;
	}

	public void setBmflag(String bmflag) {
		this.bmflag = bmflag;
	}

	public String getDjnum() {
		return djnum;
	}

	public void setDjnum(String djnum) {
		this.djnum = djnum;
	}

	public String getZztype() {
		return zztype;
	}

	public void setZztype(String zztype) {
		this.zztype = zztype;
	}
}
