package com.cool.bang.modules.oracle.mapper;

import com.cool.bang.modules.mysql.domain.Account;
import com.cool.bang.modules.oracle.domain.Areg;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.List;

@Repository
public interface AregMapper {
    List<Areg> selectFromAreg();

    /**
     * 查询楼幢虚拟户托管在途
     * @param aregitemid
     * @return
     */
    BigDecimal selectLzTgzt(Integer aregitemid);

    /**
     * 查询楼幢虚拟户监管在途
     * @param aregitemid
     * @return
     */
    BigDecimal selectLzJgzt(Integer aregitemid);
}
