package com.cool.bang.modules.mysql.domain;

import java.math.BigDecimal;

/**
 * 入账通知书
 */
public class AppropriationPosting extends AppropriationNotice {

    /** 入账金额 */
    private BigDecimal postingAmount;

    /** 入账状态 0待入账 1已入账 */
    private Integer postingStatus;

    public void initNotice(Appropriation param) {
        super.initNotice(param);
        this.postingAmount = param.getApplyAmount();
        this.postingStatus = 0;
    }

    public BigDecimal getPostingAmount() {
        return postingAmount;
    }

    public void setPostingAmount(BigDecimal postingAmount) {
        this.postingAmount = postingAmount;
    }

    public Integer getPostingStatus() {
        return postingStatus;
    }

    public void setPostingStatus(Integer postingStatus) {
        this.postingStatus = postingStatus;
    }
}
