package com.cool.bang.modules.mysql.domain;

import java.math.BigDecimal;

/**
 * 工程形象进度
 *
 * @author sy
 * @version 1.0.0
 * 2022-08-03 10:04
 */
public class ProgressConfig {

    private static final long serialVersionUID = 1L;

    private Long id;

    /** 版本号 字典 */
    private Integer version;

    /** 版本号名称 */
    private String versionName;

    /** 顺序号 */
    private Integer sort;

    /** 形象进度节点名称 */
    private String progressName;

    /** 形象进度节点受限比率 */
    private BigDecimal limitPercentage;

    /** 节点状态 0 禁用 1正常 */
    private Integer state;

    /** 删除标识 0 删除 1正常 */
    private Integer delFlag;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getProgressName() {
        return progressName;
    }

    public void setProgressName(String progressName) {
        this.progressName = progressName;
    }

    public BigDecimal getLimitPercentage() {
        return limitPercentage;
    }

    public void setLimitPercentage(BigDecimal limitPercentage) {
        this.limitPercentage = limitPercentage;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
