package com.cool.bang.modules.oracle.domain;

import java.math.BigDecimal;

/**
 * 拨付详情
 *
 * @author PeiZhi Guo
 * 2023-3-13 14:20
 */
public class OracleAppropriationDetail {

    // 1 托管拨付 2监管拨付
    private Integer appropriationType;
    private Integer orgMisId;
    private String appropriationAccount;
    private String collectionName;
    private String collectionAccount;
    private String collectionBank;
    private String purpose;
    private BigDecimal applyAmountTotal;
    // 0 1
    private Integer payFlag;
    // 0 1 2
    private Integer payFlag2;

    private String buildingNumber;
    private String buildingName;
    private BigDecimal accountBalance;
    private BigDecimal applyAmount;
    private BigDecimal keepPercentage; // 留存比例
    private BigDecimal keepAmount;  // 留存金额

    public Integer getAppropriationType() {
        return appropriationType;
    }

    public void setAppropriationType(Integer appropriationType) {
        this.appropriationType = appropriationType;
    }

    public Integer getOrgMisId() {
        return orgMisId;
    }

    public void setOrgMisId(Integer orgMisId) {
        this.orgMisId = orgMisId;
    }

    public String getAppropriationAccount() {
        return appropriationAccount;
    }

    public void setAppropriationAccount(String appropriationAccount) {
        this.appropriationAccount = appropriationAccount;
    }

    public String getCollectionName() {
        return collectionName;
    }

    public void setCollectionName(String collectionName) {
        this.collectionName = collectionName;
    }

    public String getCollectionAccount() {
        return collectionAccount;
    }

    public void setCollectionAccount(String collectionAccount) {
        this.collectionAccount = collectionAccount;
    }

    public String getCollectionBank() {
        return collectionBank;
    }

    public void setCollectionBank(String collectionBank) {
        this.collectionBank = collectionBank;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public BigDecimal getApplyAmountTotal() {
        return applyAmountTotal;
    }

    public void setApplyAmountTotal(BigDecimal applyAmountTotal) {
        this.applyAmountTotal = applyAmountTotal;
    }

    public Integer getPayFlag() {
        return payFlag;
    }

    public void setPayFlag(Integer payFlag) {
        this.payFlag = payFlag;
    }

    public Integer getPayFlag2() {
        return payFlag2;
    }

    public void setPayFlag2(Integer payFlag2) {
        this.payFlag2 = payFlag2;
    }

    public String getBuildingNumber() {
        return buildingNumber;
    }

    public void setBuildingNumber(String buildingNumber) {
        this.buildingNumber = buildingNumber;
    }

    public String getBuildingName() {
        return buildingName;
    }

    public void setBuildingName(String buildingName) {
        this.buildingName = buildingName;
    }

    public BigDecimal getAccountBalance() {
        return accountBalance;
    }

    public void setAccountBalance(BigDecimal accountBalance) {
        this.accountBalance = accountBalance;
    }

    public BigDecimal getApplyAmount() {
        return applyAmount;
    }

    public void setApplyAmount(BigDecimal applyAmount) {
        this.applyAmount = applyAmount;
    }

    public BigDecimal getKeepPercentage() {
        return keepPercentage;
    }

    public void setKeepPercentage(BigDecimal keepPercentage) {
        this.keepPercentage = keepPercentage;
    }

    public BigDecimal getKeepAmount() {
        return keepAmount;
    }

    public void setKeepAmount(BigDecimal keepAmount) {
        this.keepAmount = keepAmount;
    }

    @Override
    public String toString() {
        return "OracleAppropriationDetail{" +
                "appropriationType=" + appropriationType +
                ", orgMisId=" + orgMisId +
                ", appropriationAccount='" + appropriationAccount + '\'' +
                ", collectionName='" + collectionName + '\'' +
                ", collectionAccount='" + collectionAccount + '\'' +
                ", collectionBank='" + collectionBank + '\'' +
                ", purpose='" + purpose + '\'' +
                ", applyAmountTotal=" + applyAmountTotal +
                ", payFlag=" + payFlag +
                ", payFlag2=" + payFlag2 +
                ", buildingNumber='" + buildingNumber + '\'' +
                ", buildingName='" + buildingName + '\'' +
                ", accountBalance='" + accountBalance + '\'' +
                ", applyAmount=" + applyAmount +
                ", keepPercentage=" + keepPercentage +
                ", keepAmount=" + keepAmount +
                '}';
    }
}
